
	// Add a task
	void taskListAddTo(float number, float x, float y)
	{
		// Check for an empty task (do not check tasklist[0] as it is for hero only
		int a, b;
		for (a = 1; a < 99; a++)
		{
			if (fTasklist[a][0] == 0)
			{
				fTasklist[a][0] = number;
				fTasklist[a][1] = x;
				fTasklist[a][2] = y;
				for (b = 3; b < 32; b++)
				{
					fTasklist[a][b] = 0;
				}
				break;
			}
		}
	}

	// Remove a task
	void taskListRemove(int number)
	{
		// Find the task and remove all memory slots for it -- do not remove Squeek!
		int a;
		for (a = 0; a < 32; a++)
		{
			fTasklist[number][a] = 0;
		}
	}

	// Check which tasknumber lies where (between x1, y1 and x2, y2 and return it
	int taskListObject(float x1, float y1, float x2, float y2)
	{
		int a, found; found = -1;
		for (a = 0; a < 99; a++)
		{
   		if (fTasklist[a][0] != 0)
			{
				if (fTasklist[a][1] > x1 & fTasklist[a][2] > y1 & fTasklist[a][1] < x2 & fTasklist[a][2] < y2)
				{
					found = a;
					break;
				}
			}
		}
		if (found != -1)
		{
			return found;
		}
		else
		{
			return -1;
		}
	}
