
// Check if a file exists
int fileExists(char cLocalFileName[32])
{
	return -1;
}


// Load a level
int goLoadLevel()
{
	/*
		This is a bit comprehensive. First we do a test
	*/
	FILE *file;
	int lev, room, row, col, a, b, c;
	char *wholeLevel = (char *)malloc(3000000);
	char *returnchar;
	char cTempNumber[3];

	a = 0;  // a seeks through the entire file

	// Open the file
	file = fopen("savegame.data","r");

	// load in the whole savegame into wholeLevel
	returnchar = fgets(wholeLevel, 3000000, file);

	// Close the file
	fclose(file);

	// Load it in (the backgrounds)
	c = 0;

	for (lev = 0; lev < 24; lev++)
	{
		for (room = 0; room < 100; room++)
		{
			for (row = 0; row < 10; row++)
			{
				for (col = 0; col < 16; col++)
				{
					// Go through the level data until * is met, which separates numbers
					b = 0;
					while (wholeLevel[a] != '*')
					{
						cTempNumber[b] = wholeLevel[a];
						a++;
						b++;
						// Go on and gather in the whole number from the data
					}
					a++;

					// Convert this two sifered number into an integer value
					iAllBackgrounds[lev][room][row][col] = atol(cTempNumber);
					// Reset the temp numbers
					cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
				}
			}
		}
	}


	// Load it in (the objects)
	c = 0;

	for (lev = 0; lev < 24; lev++)
	{
		for (room = 0; room < 100; room++)
		{
			for (row = 0; row < 10; row++)
			{
				for (col = 0; col < 16; col++)
				{
					// Go through the level data until * is met, which separates numbers
					b = 0;
					while (wholeLevel[a] != '*')
					{
						cTempNumber[b] = wholeLevel[a];
						a++;
						b++;
						// Go on and gather in the whole number from the data
					}
					a++;

					// Convert this two sifered number into an integer value
					iAllObjects[lev][room][row][col] = atol(cTempNumber);

					// Reset the temp numbers
					cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
				}
			}
		}
	}

	// Load it in (the foregrounds)
	c = 0;

	for (lev = 0; lev < 24; lev++)
	{
		for (room = 0; room < 100; room++)
		{
			for (row = 0; row < 10; row++)
			{
				for (col = 0; col < 16; col++)
				{
					// Go through the level data until * is met, which separates numbers
					b = 0;
					while (wholeLevel[a] != '*')
					{
						cTempNumber[b] = wholeLevel[a];
						a++;
						b++;
						// Go on and gather in the whole number from the data
					}
					a++;

					// Convert this two sifered number into an integer value
					iAllForegrounds[lev][room][row][col] = atol(cTempNumber);

					// Reset the temp numbers
					cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
				}
			}
		}
	}

   // Get the hero position
	c = 0;
	while (c < 4)
	{
		b = 0;
      while (wholeLevel[a] != '*')
		{
			cTempNumber[b] = wholeLevel[a];
			a++;
			b++;
			// Go on and gather in the whole number from the data
		}
		if (c == 0)
		{
			iHeroX = atol(cTempNumber);
			cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
		}
		if (c == 1)
		{
			iHeroY = atol(cTempNumber);
			cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
		}
		if (c == 2)
		{
         // for the squeek frame...
		}
		if (c == 3)
		{
			fGravity = atof(cTempNumber);
			cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;
		}
		c++;
		a++;
	}

	// Get lives
   b = 0;
	while (wholeLevel[a] != '*')
	{
		cTempNumber[b] = wholeLevel[a];
		a++;
		b++;
		// Go on and gather in the whole number from the data
	}
   iLives = atol(cTempNumber);
	a++;
	cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;

	// Open 8 items (not done!)

	int itemcount;

	for (itemcount = 0; itemcount < 8; itemcount++)
	{
		b = 0;
		while (wholeLevel[a] != '*')
		{
			cTempNumber[b] = wholeLevel[a];
			a++;
			b++;
			// Go on and gather in the whole number from the data
		}
		//iLives = atol(cTempNumber);
		a++;
	}
	cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;

	// Open start score (not done!)

	b = 0;
	while (wholeLevel[a] != '*')
	{
		cTempNumber[b] = wholeLevel[a];
		a++;
		b++;
		// Go on and gather in the whole number from the data
	}
   //iLives = atol(cTempNumber);
	a++;
	cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;

	// Open Map start

	b = 0;
	while (wholeLevel[a] != '*')
	{
		cTempNumber[b] = wholeLevel[a];
		a++;
		b++;
		// Go on and gather in the whole number from the data
	}
   iMapOffsetX = atol(cTempNumber);
	a++;
	cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;

	b = 0;
	while (wholeLevel[a] != '*')
	{
		cTempNumber[b] = wholeLevel[a];
		a++;
		b++;
		// Go on and gather in the whole number from the data
	}
   iMapOffsetY = atol(cTempNumber);
	a++;
	cTempNumber[0] = 0; cTempNumber[1] = 0; cTempNumber[2] = 0;

	// More to come (check levelEditorFunctions in the save section	

	iLevel = 0;
	iEnterX = iHeroX;
	iEnterY = iHeroY;
	iScore = 0;

   // Order all the rooms

	for (lev = 0; lev < 24; lev++)
	{
		a = 0;
		for (row = 0; row < 10; row++)
		{
			for (col = 0; col < 10; col++)
			{
				iLevelMap[lev][row][col] = a;
				a++;
			}
   	}
	}


	return 0;

}

