
	// Her er da alle objektene i spillet


	// Helten, Squeek, hvor han skjekker input og output etc
	void objHero(int fTasknumber)
	{
		// Sett opp funksjonens lokale variabler
		float* fx = &fTasklist[fTasknumber][1]; // x lokasjonen
		float* fy = &fTasklist[fTasknumber][2]; // y lokasjonen
		float* fgravity = &fTasklist[fTasknumber][3]; // gravitasjonen for squeek
		float* fframe = &fTasklist[fTasknumber][4]; // det framet som skal brukes for squeek
		float* fdirection = &fTasklist[fTasknumber][5]; // which direction squeek goes in
		float* fmovetime = &fTasklist[fTasknumber][6]; // how long since squeek moved
		float* fshootTimer = &fTasklist[fTasknumber][7]; // intervals between shooting
		float* fSqueekDie = &fTasklist[fTasknumber][8]; // If squeek dies...
		float* fSqueekBlinkTime = &fTasklist[fTasknumber][9]; // The time it takes for squeek to blink
		float* fSqueekBlinkMode = &fTasklist[fTasknumber][10]; // The mode in the blink squence (on or off drawing blink)
		float* fExtraJumpVar = &fTasklist[fTasknumber][11];
		float* fCurrentItem = &fTasklist[fTasknumber][12]; // The current item
		float* fItemVar1 = &fTasklist[fTasknumber][13]; // For use by items
		float* fItemVar2 = &fTasklist[fTasknumber][14]; // For use by items

		int iMoveUp = 0; int iMoveDown = 0; int iMoveLeft= 0;
		int iMoveRight = 0; int iButton1 = 0; int iButton2 = 0;
		int iButton3 = 0; int iButton4 = 0;

		// Check for story dialogs:
      if (SqueekStory == 0 & (iLevel+1) == 1 & iMapOffsetX == 0 & iMapOffsetY == 1)
		{
			showDialog(1);
			SqueekStory++;
		}

		int random = (rand()%10);
		if (fCurrentItem > 0)
		{
			*fCurrentItem -= 0.1;
		}
		// Frst skjekker vi for input :)

      if (*fSqueekDie > 0)
		{
			if (*fSqueekDie < 2)
			{
				*fx = iEnterX;
				*fy = iEnterY;
				*fSqueekDie = 2;
				*fSqueekBlinkTime = 30;
				*fSqueekDie = 0;
				*fSqueekBlinkMode = 0;
			}
		}
		else
		{

			 // Joystick code
			if (theGamepad)
			{
				Sint16 result; // Define result as a 16bit integer

				// Check left right
				result = SDL_JoystickGetAxis(theGamepad, 0);

				if (result > 0)
				{
					iMoveRight = 1;
				}
				if (result < 0)
				{
					iMoveLeft = 1;
				}

				// Check up down
				result = SDL_JoystickGetAxis(theGamepad, 1);

				if (result > 0)
				{
					iMoveUp = 1;
				}
				if (result < 0)
				{
					iMoveDown = 1;
				}

				// Check buttons
				result = SDL_JoystickGetButton(theGamepad, 0);
				if (result)
				{
					iButton1 = 1;
				}
				result = SDL_JoystickGetButton(theGamepad, 1);
				if (result)
				{
					iButton2 = 1;
				}
				result = SDL_JoystickGetButton(theGamepad, 2);
				if (result)
				{
					iButton3 = 1;
				}
				result = SDL_JoystickGetButton(theGamepad, 3);
				if (result)
				{
					iButton4 = 1;
				}
			}
			// end joystick ----------

			// Keyboard

			// Check left right
			if (uKeys[SDLK_RIGHT])
			{
				iMoveRight = 1;
			}
			if (uKeys[SDLK_LEFT])
			{
				iMoveLeft = 1;
			}

			// Check up down
			if (uKeys[SDLK_UP])
			{
				iMoveUp = 1;
			}
			if (uKeys[SDLK_DOWN])
			{
				iMoveDown = 1;
			}

			// Check buttons
			if (uKeys[SDLK_UP])
			{
				iButton1 = 1;
			}
			if (uKeys[SDLK_SPACE])
			{
				iButton2 = 1;
			}
			if (uKeys[SDLK_KP_PLUS])
			{
				iButton3 = 1;
			}
			if (uKeys[SDLK_KP_MINUS])
			{
				iButton4 = 1;
			}

			// End keyboard--------

			if (iButton1 & (iCollisionLayer[((int)*fy)+40+(int)*fgravity][((int)*fx)+20] == 1 & iCollisionLayer[((int)*fy)-10][((int)*fx)+20] != 1 | *fExtraJumpVar > 1))
			{
				// Play one of two sounds
				if (random > 5)
				{
					playSample(4);
				}
				else
				{
					playSample(5);
				}

				*fgravity = -4;
			}

			// Check movetime
			if (*fmovetime > 0)
			{
				*fmovetime -= 0.1;
			}
			else
			{
				if (*fdirection == -1)
				{
					*fframe = 5;
				}
				else
				{
					*fframe = 0;
				}
			}


			// Move left
			if (iMoveLeft & iCollisionLayer[((int)*fy)+30+(int)*fgravity][((int)*fx)+10] == 0)
			{
				*fx -= 1;
				// Check frame
				*fdirection = -1;
				if (*fframe < 5)
				{
					*fframe = 5;
				}
				if (*fframe > 9.5)
				{
					playSample(2);
					*fframe = 5;
				}
				*fframe += 0.1;
				*fmovetime = 1;

			}
			// Move right
			if (iMoveRight & iCollisionLayer[((int)*fy)+30+(int)*fgravity][((int)*fx)+30] == 0)
			{
				*fx += 1;
				// Check frame
				*fdirection = 1;
				if (*fframe > 4.5)
				{
					playSample(2);
					*fframe = 0;
				}
				*fframe += 0.1;
				*fmovetime = 1;
			}

			// If jumping
			if (iCollisionLayer[((int)*fy)+40][((int)*fx)+20] == 0 & *fExtraJumpVar < 1)
			{
				if (*fdirection == -1)
				{
					*fframe = 8;
				}
				else
				{
					*fframe = 3;
				}
			}

			// If change current item number
			if (iButton3 & *fCurrentItem < 0.1 & iHeroCurrentItem < 7)
			{
				iHeroCurrentItem++;
				*fCurrentItem = 9; // Set a little delay
			}
			if (iButton4 & *fCurrentItem < 0.1 & iHeroCurrentItem > 0)
			{
				iHeroCurrentItem--;
				*fCurrentItem = 9; // Set a little delay
			}

			// Add gravity:
			*fy += *fgravity;

			// Skjekk kollisjon
			//    treffer en vegg?
			while (iCollisionLayer[((int)*fy)+30+(int)*fgravity][((int)*fx)+10] != 0)
			{
				*fx += 1;
			}
			while (iCollisionLayer[((int)*fy)+30+(int)*fgravity][((int)*fx)+30] != 0)
			{
				*fx -= 1;
			}
			//    taket?
			if (iCollisionLayer[((int)*fy)+5][((int)*fx)+20] != 0)
			{
				while (iCollisionLayer[((int)*fy)+5][((int)*fx)+20] != 0 & iCollisionLayer[((int)*fy)+39][((int)*fx)+20] == 0)
				{
					*fy += 1;
				}
				*fgravity = 0.1;
			}
			//    i gulvet??
			if (iCollisionLayer[((int)*fy)+39][((int)*fx)+20] != 0)
			{
				while (iCollisionLayer[((int)*fy)+39][((int)*fx)+20] != 0)
				{
					*fy -= 1;
				}
			}
			//    gravitasjon?
			if (iCollisionLayer[((int)*fy)+39+(int)*fgravity][((int)*fx)+20] == 0)
			{
				// Gravity can not go past 4!
				if (*fgravity < 4)
				{
					*fgravity += 0.08;
				}
			}
			else
			{
				*fgravity = 0;
			}

			// Squeek Blink Time is the amount squeek blinks
			// This blink thing increments and squeek is only shown if squeek blink time is zero
			rectDest.x = (int)*fx;
			rectDest.y = (int)*fy;
			if (*fSqueekBlinkTime > 0)
			{
          	*fSqueekBlinkTime -= 0.1;
				if (*fSqueekBlinkMode < 5)
				{
					// Do not draw squeek
					*fSqueekBlinkMode += 1;
				}
				else
				{
            	// Draw Squeek
					SDL_BlitSurface(hero[(int)*fframe], NULL, surMainScreen, &rectDest);
					*fSqueekBlinkMode = 0;
				}
			}
			else
			{
				// Draw Squeek
				SDL_BlitSurface(hero[(int)*fframe], NULL, surMainScreen, &rectDest);
			}

			// Check if Squeek goes out of the screen
			// DOWN
			if (*fy > 355)
			{
				*fy = 5;
				iMapOffsetY += 1;
				iEscape = 1;
				// Remember this entrance position
				iEnterX = (int)*fx;
				iEnterY = (int)*fy;
			}
			// UP
			if (*fy < 5)
			{
				*fy = 355;
				iMapOffsetY -= 1;
				iEscape = 1;
				// Remember this entrance position
				iEnterX = (int)*fx;
				iEnterY = (int)*fy;
			}
			// Left
			if (*fx > 605)
			{
				*fx = 1;
				iMapOffsetX += 1;
				iEscape = 1;
				// Remember this entrance position
				iEnterX = (int)*fx;
				iEnterY = (int)*fy;
			}
			// RIGHT
			if (*fx < 1)
			{
				*fx = 605;
				iMapOffsetX -= 1;
				iEscape = 1;
				// Remember this entrance position
				iEnterX = (int)*fx;
				iEnterY = (int)*fy;
			}
		}
		// Use item:
		if (iButton2 & *fshootTimer < 1)
		{
			// We are using a fireball!
			if (iHeroItems[iHeroCurrentItem] == 1)
			{
				taskListAddTo(100, *fx+20, *fy+20);
				*fshootTimer = iWeaponLevel; // The shoot timer is the skill level (1 is best, 7 is worst);
			}
			// We have a flying hat!
			if (iHeroItems[iHeroCurrentItem] == 2)
			{
				*fgravity = -0.5;
			}
			// We are using a lightningstroke!
			if (iHeroItems[iHeroCurrentItem] == 3)
			{
				taskListAddTo(101, *fx+20, *fy+20);
				*fshootTimer = iWeaponLevel; // The shoot timer is the skill level (1 is best, 7 is worst);
			}
		}
		if (iHeroItems[iHeroCurrentItem] == 2)
		{
				// Left way
				if (*fframe < 5)
				{
					SDL_Rect itemRect; itemRect.x = (int)*fx + 5; itemRect.y = (int)*fy-11;
					if (*fItemVar1 > 2)
					{
						*fItemVar1 = 0;
					}
					// For hat animation
					SDL_BlitSurface(item_flyhat[(int)*fItemVar1], NULL, surMainScreen, &itemRect);
					*fItemVar1 += 0.2;
				}
				// Right way
				if (*fframe >= 5)
				{
					SDL_Rect itemRect; itemRect.x = (int)*fx + 3; itemRect.y = (int)*fy-11;
					if (*fItemVar1 > 5)
					{
						*fItemVar1 = 3;
					}
					if (*fItemVar1 < 3)
					{
						*fItemVar1 = 3;
					}
					// For hat animation
					SDL_BlitSurface(item_flyhat[(int)*fItemVar1], NULL, surMainScreen, &itemRect);
					*fItemVar1 += 0.2;
				}
		}
		*fshootTimer -= 0.1;
	}

   // Water

	void objWater(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fframe = &fTasklist[fTasknumber][3];
		float* fmode = &fTasklist[fTasknumber][4];

		SDL_Rect myrect; myrect.x = (int)*fx; myrect.y = (int)*fy;

		if (*fmode < 2)
		{
			*fframe += 0.08;
			if (*fframe > 3.6)
			{
				*fmode = 3;
			}
		}
		if (*fmode > 2)
		{
			*fframe -= 0.1;
			if (*fframe < 0.2)
			{
				*fmode = 0;
			}
		}

      // Kill Squeek on collision
     int tasknumb = taskListObject(*fx-40, *fy-5, *fx+1, *fy+40);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1)
			{
				fTasklist[0][8] = 1;
				iLives--;
			}
		}

		SDL_BlitSurface(obj_water[(int)*fframe], NULL, surMainScreen, &myrect);

	}
	void objWaterL(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fframe = &fTasklist[fTasknumber][3];
		float* fmode = &fTasklist[fTasknumber][4];

		SDL_Rect myrect; myrect.x = (int)*fx; myrect.y = (int)*fy;

		if (*fmode < 2)
		{
			*fframe += 0.08;
			if (*fframe > 3.6)
			{
				*fmode = 3;
			}
		}
		if (*fmode > 2)
		{
			*fframe -= 0.1;
			if (*fframe < 0.2)
			{
				*fmode = 0;
			}
		}

		// Kill Squeek on collision
      int tasknumb = taskListObject(*fx-40, *fy-5, *fx+1, *fy+40);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1)
			{
				fTasklist[0][8] = 1;
				iLives--;
			}
		}

		SDL_BlitSurface(obj_Lwater[(int)*fframe], NULL, surMainScreen, &myrect);

	}
	void objWaterR(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fframe = &fTasklist[fTasknumber][3];
		float* fmode = &fTasklist[fTasknumber][4];

		SDL_Rect myrect; myrect.x = (int)*fx; myrect.y = (int)*fy;

		if (*fmode < 2)
		{
			*fframe += 0.08;
			if (*fframe > 3.6)
			{
				*fmode = 3;
			}
		}
		if (*fmode > 2)
		{
			*fframe -= 0.1;
			if (*fframe < 0.2)
			{
				*fmode = 0;
			}
		}

      // Kill Squeek on collision
      int tasknumb = taskListObject(*fx-40, *fy-5, *fx+1, *fy+40);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1)
			{
				fTasklist[0][8] = 1;
				iLives--;
			}
		}

		SDL_BlitSurface(obj_Rwater[(int)*fframe], NULL, surMainScreen, &myrect);

	}

   // Fireball

	void objFireball(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1]; // x coordinate
		float* fy = &fTasklist[fTasknumber][2]; // y coordinate
		float* fgravity = &fTasklist[fTasknumber][3]; // g force
		float* fdir = &fTasklist[fTasknumber][4]; // which direction
		float* ftimer = &fTasklist[fTasknumber][5]; // timer for this object
		float* fframe = &fTasklist[fTasknumber][6]; // the current frame

		// Check for HERO's direction
		if (*ftimer < 0.1)
		{
			playSample(0); // Fireball sound
			*fdir = fTasklist[0][5]; // from the hero direction
			*fgravity = (-2)-(rand()%2);
		}

		// Draw the fireball
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(weaponFireball[(int)*fframe], NULL, surMainScreen, &rectDest);

		// Move the framenumber
		if (*fframe < 2.6)
		{
			*fframe += 0.4;
		}
		else
		{
			*fframe = 0;
		}

		// Move fireball according to direction
		if (*fdir == 1)
		{
			*fx += 2;
		}
		else
		{
			*fx -= 2;
		}

		// Gravity
		*fy += *fgravity;
		*fgravity += 0.1;
		if (iCollisionLayer[((int)*fy)+10+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			playSample(3);
			*fgravity = -2;
		}

		// Collision
		if (iCollisionLayer[((int)*fy)+5+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}
		if (iCollisionLayer[((int)*fy)+5+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}

		// Timeout ball and destroy itself
      if (*ftimer > 50)
		{
			taskListRemove(fTasknumber);
		}
		// If we go out of the screen
		if (*fx > 637 or *fx < 3 or *fy > 390 or *fy < 3)
		{
			taskListRemove(fTasknumber);
		}

		// Add time
		*ftimer += 0.15;
	}

	void objParticleExplosion(int fTasknumber)
	{
		float* ftimer = &fTasklist[fTasknumber][3];
		float* fframe = &fTasklist[fTasknumber][4];
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];

      if (*ftimer < 0.1)
		{
			playSample(1);
			taskListAddTo(200, *fx+20, *fy+20);
			taskListAddTo(200, *fx+20, *fy+20);
			taskListAddTo(200, *fx+20, *fy+20);
			taskListAddTo(200, *fx+20, *fy+20);
			taskListAddTo(200, *fx+20, *fy+20);
			taskListAddTo(200, *fx+20, *fy+20);
		}

		// Draw explosion
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(objectParticleExplosion[(int)*fframe], NULL, surMainScreen, &rectDest);

      *fframe += 0.2;
		if (*fframe > 4.6)
		{
			taskListRemove(fTasknumber);
		}
		*ftimer += 0.1;
	}

	// The object which teleports Squeek to the previous level
	void objPrevLevel(int fTasknumber)
	{
	}

	// The object which teleports Squeek to the next level
	void objNextLevel(int fTasknumber)
	{
	}


   void objSmokeEmitter(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fRealY = &fTasklist[fTasknumber][3];
		float* fRealX = &fTasklist[fTasknumber][4];
		float* ftimer = &fTasklist[fTasknumber][5];
		float* fspawn = &fTasklist[fTasknumber][6];
		float* fspeed = &fTasklist[fTasknumber][7];
		float* fframe = &fTasklist[fTasknumber][8];
		float* fvariation = &fTasklist[fTasknumber][9];

		if (*ftimer < 0.1)
		{
			*fRealY = *fy-20;
			*fRealX = *fx;
			*ftimer = 0.2;
			*fspeed = (rand()%3);
			*fspeed = 0.2+(*fspeed/11);
			*fframe = (rand()%3);
			*fvariation = 2+(rand()%6);
		}

		*ftimer += 0.01;

		*fRealX = *fx+sin(*ftimer)*(*fvariation);
		*fRealY -= *fspeed;

		// Draw the smoke
		rectDest.x = (int)*fRealX;
		rectDest.y = (int)*fRealY;
		SDL_BlitSurface(objectParticleSmoke2[(int)*fframe], NULL, surMainScreen, &rectDest);

		// If we reach the top, remove oneself
		if (*fRealY < 2)
		{
			taskListRemove(fTasknumber);
		}
		if (*fspawn < 1 & *ftimer > 0.5)
		{
			*fspawn = 2;
			taskListAddTo(202, (int)*fx, (int)*fy);
		}
		if (*fspawn < 2 & *ftimer > 1)
		{
			*fspawn = 3;
			taskListAddTo(202, (int)*fx, (int)*fy);
		}

	}

	void objParticleSmoke(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fgravity = &fTasklist[fTasknumber][3];
		float* ftimer = &fTasklist[fTasknumber][4];
		float* fdirection = &fTasklist[fTasknumber][5];

		if (*ftimer < 0.1)
		{
			*fdirection = -2+(rand()%4);
			*fgravity = -1-(rand()%3);
		}

      // Draw the smoke
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(objectParticleSmoke[0], NULL, surMainScreen, &rectDest);

		if (*ftimer < 10)
		{
			*fx += *fdirection;
			*fy += *fgravity;
		}
		else
		{
			taskListRemove(fTasknumber);
		}
		// If we go out of the screen
		if (*fx > 637 or *fx < 3 or *fy > 390 or *fy < 3)
		{
			taskListRemove(fTasknumber);
		}

		*fgravity += 0.1;
		*ftimer += 0.1;
	}

	void objGreeny(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1];
		float* fy = &fTasklist[fTasknumber][2];
		float* fgravity = &fTasklist[fTasknumber][3];
		float* ftimer = &fTasklist[fTasknumber][4];
		float* fframe = &fTasklist[fTasknumber][5];
		float* fdirection = &fTasklist[fTasknumber][6];
		float* fkilled = &fTasklist[fTasknumber][7];
		float* forigx = &fTasklist[fTasknumber][8]; // original tile position x
		float* forigy = &fTasklist[fTasknumber][9]; // original tile position y

		if (*ftimer < 0.1)
		{
			*forigx = *fx/40;
			*forigy = *fy/40;
			*fframe = 0;
			*fdirection = 0+(rand()%1);
			*ftimer = 10+(rand()%40);
			*fkilled = 0;
		}

		// Draw the greeny
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(objectGreeny[(int)*fframe], NULL, surMainScreen, &rectDest);

		if (*fkilled < 1)
		{
			// Frames
			*fframe += 0.1; if (*fframe > 3.7){ *fframe = 0; }

			*fgravity += 0.1;
			if (*fgravity > 4)
			{
				*fgravity = 4;
			}
			// Add to the timer, and watch limit
			*ftimer += 0.1; if (*ftimer > 50){ *ftimer = 1; *fgravity = -2.5; }

			// Check gravity
			if (iCollisionLayer[((int)*fy)+35][((int)*fx)+20] != 0)
			{
				*fgravity = 0;
			}

			// Check roof
			if (iCollisionLayer[((int)*fy)+5][((int)*fx)+20] != 0)
			{
				*fgravity = 1;
			}

			// Check walls
			if (*fdirection == 1)
			{
				*fx += 0.5;
				if (iCollisionLayer[((int)*fy)+40][((int)*fx)+45] == 0 or iCollisionLayer[((int)*fy)+20][((int)*fx)+35] != 0)
				{
					*fdirection = 0;
				}
			}
			else
			{
				*fx -= 0.5;
				if (iCollisionLayer[((int)*fy)+40][((int)*fx)-5] == 0 or iCollisionLayer[((int)*fy)+20][((int)*fx)+5] != 0)
				{
					*fdirection = 1;
				}
			}
			while (iCollisionLayer[((int)*fy)+40][((int)*fx)+20] != 0)
			{
				*fy -= 0.5;
			}
			// If we go out of the screen
			if (*fy > 385 or *fy < 3)
			{
				taskListRemove(fTasknumber);
			}
         if (*fx > 637)
			{
				*fdirection = 0;
			}
			if (*fx < 3)
			{
				*fdirection = 1;
			}

			*fy += *fgravity;

         // Check if we are killed by a fireball!
			int tasknumber = taskListObject(*fx+5, *fy+5, *fx+35, *fy+35);
			int tasktype = (int)fTasklist[tasknumber][0];
			if (tasknumber != 0)
			{
				if (tasktype >= 100 & tasktype <= 110)
				{
					iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
					taskListAddTo(201, *fx, *fy);
					taskListRemove(tasknumber);
					taskListRemove(fTasknumber);
					iScore += 120;
				}
			}

			// Check if squeek is near
         int tasknumb = taskListObject(*fx-20, *fy-10, *fx+40, *fy+10);
			if (tasknumb != -1)
			{
				int tasktype = (int)fTasklist[tasknumb][0];
				if (tasktype == 1 & fTasklist[0][9] < 0.1)
				{
					fTasklist[0][8] = 1;
					iLives--;
				}
			}
			// End checking for squeek

		}
		else
		{

		}
	}

	// Dripping rock
	void objDrippingRock(int iTasknumber)
	{
		float* fx	= &fTasklist[iTasknumber][1];
		float* fy 	= &fTasklist[iTasknumber][2];
		float* ftimer = &fTasklist[iTasknumber][3];

      // Draw dripping rock
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
      SDL_BlitSurface(objectDrippingRock, NULL, surMainScreen, &rectDest);

		if (*ftimer == 0)
		{
			*ftimer = 0.1+(rand()%20);
		}

		*ftimer += 0.1;
		if (*ftimer > 20+(rand()%90))
		{
			taskListAddTo(300, *fx+13, *fy+22);
			*ftimer = 0.1;
		}
	}

	// Tear drop
	void objTearDrop(int iTasknumber)
	{
      float* fx	= &fTasklist[iTasknumber][1];
		float* fy 	= &fTasklist[iTasknumber][2];
		float* fgravity = &fTasklist[iTasknumber][3];

		// Draw tear drop
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(objectTearDrop, NULL, surMainScreen, &rectDest);

		if (*fgravity < 0.1)
		{
			playSample(7);
		}

		*fgravity += 0.1;
		*fy += *fgravity;


		// If we go out of the screen
		if (*fx > 637 or *fx < 3 or *fy > 390 or *fy < 3)
		{
			taskListRemove(iTasknumber);
		}


		if (iCollisionLayer[(int)*fy+5+(int)*fgravity][(int)*fx+5] != 0)
		{
			taskListRemove(iTasknumber);
		}


		int tasknumb = taskListObject(*fx-25, *fy-30, *fx+5, *fy+10);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			   		
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				fTasklist[0][8] = 1;
				iLives--;
			}
		}
	}

	void objFairy(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fframe = &fTasklist[iTasknumber][3];
		float* ftimer = &fTasklist[iTasknumber][4];
		float* fEndSequence = &fTasklist[iTasknumber][5];
		float* fx = &fTasklist[iTasknumber][6];
		float* fy = &fTasklist[iTasknumber][7];

		if (*fx < 0.1)
		{
			*fx = *forigx;
			*fy = *forigy;
		}


      SDL_Rect myrect; myrect.x = (int)*fx; myrect.y = (int)*fy;
      SDL_BlitSurface(objectFairy[(int)*fframe], NULL, surMainScreen, &myrect);

		if (*fEndSequence < 1)
		{

			// Set the first frame
			if (*ftimer < 0.1)
			{
				*fframe = 0;
			}

			// Check to blink eye
			if (*ftimer > 1 & *ftimer < 2)
			{
				*fframe = 1;
			}
			if (*ftimer > 3 & *ftimer <  4)
			{
				*fframe = 2;
			}
			if (*ftimer > 5 & *ftimer < 6)
			{
				*fframe = 1;
			}
			if (*ftimer > 7 & *ftimer < 8)
			{
				*fframe = 0;
			}

			if (*ftimer > 50 & (rand()%5) == 2)
			{
				*ftimer = 0.1;
			}

			// Flap wings
			if (*ftimer > 50 & *ftimer < 51)
			{
				*fframe = 3;
			}
			if (*ftimer > 51 & *ftimer < 52)
			{
				*fframe = 0;
			}
			if (*ftimer > 52 & *ftimer < 53)
			{
				*fframe = 0;
			}
			if (*ftimer > 53 & *ftimer < 54)
			{
				*fframe = 3;
			}
			if (*ftimer > 54 & *ftimer < 55)
			{
				*fframe = 0;
			}

			// Now do end cycle
			if (*ftimer > 60)
			{
				*ftimer = 0.1;
			}
			*ftimer += 0.1; // Increase timer


			// Check if squeek is near
				int tasknumb = taskListObject(*fx-20, *fy, *fx+60, *fy+70);
				if (tasknumb != -1)
				{
					int tasktype = (int)fTasklist[tasknumb][0];
					if (tasktype == 1 & fTasklist[0][9] < 0.1)
					{
						// Give Squeek the fireball item
						if (SqueekFairy == 0)
						{
							showDialog(2);
							addItem(1);
							SqueekFairy++;
						}
						else if (SqueekFairy == 1)
						{
							showDialog(3);
							iWeaponLevel = 9;
						}
						*fEndSequence = 1;
						*ftimer = 0;
						*fframe = 4;
						playSample(6);
					}
				}
				// End checking for squeek
			}
			else
			{
				// Run the end sequence
				*ftimer += 0.1;
            // Animate
				if (*ftimer > 5 & (int)*fframe == 4)
				{
					*fframe = 5;
					*ftimer = 0;
				}
				if (*ftimer > 5 & (int)*fframe == 5)
				{
					*fframe = 4;
					*ftimer = 0;
					taskListAddTo(200, (int)*fx+20, (int)*fy+40);
					taskListAddTo(200, (int)*fx+20, (int)*fy+40);
				}

				*fEndSequence += 0.1;
				*fx += 0.6;
				*fy = *fy+(sin((*fEndSequence/2))*3);

				if (*fx > 639)
				{
					iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][((int)*forigy)/40][((int)*forigx)/40] = 0;
					taskListRemove(iTasknumber);
				}
			}
	}


	void objApple(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fx = &fTasklist[iTasknumber][3];
		float* fy = &fTasklist[iTasknumber][4];
		float* ftimer = &fTasklist[iTasknumber][5];
		float* fspeed = &fTasklist[iTasknumber][6];

		if (*ftimer < 0.1)
		{
			*fx = *forigx;
			*fy = *forigy;
			*fspeed = 0.1+rand()%8;
			*fspeed = *fspeed/23;
		}
		*ftimer += 0.1;

		*fx = *fx+(sin((*ftimer/4))*(*fspeed));
		*fy = *fy+(cos((-(*ftimer/4)))*(*fspeed));

		SDL_Rect rect; rect.x = (int)*fx; rect.y = (int)*fy;

		SDL_BlitSurface(obj_apple, NULL, surMainScreen, &rect);

		// if squeek eats me
		int tasknumb = taskListObject(*fx-30, *fy-10, *fx+5, *fy+25);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				playSample(8);
				iScore += 110;
				iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][((int)*forigy)/40][((int)*forigx)/40] = 0;
				taskListRemove(iTasknumber);
			}
		}
	}


	void objPlatformVertical(int iTasknumber)
	{
		float* fx = &fTasklist[iTasknumber][1];
		float* fy = &fTasklist[iTasknumber][2];
		float* fmode = &fTasklist[iTasknumber][3];

		if (iCollisionLayer[((int)*fy)+20][((int)*fx)] != 0)
		{
			*fmode = 0;
		}
		if (iCollisionLayer[((int)*fy)+20][((int)*fx+39)] != 0)
		{
			*fmode = 2;
		}
		if (*fmode < 1)
		{
			*fx += 0.3;
		}
		else
		{
			*fx -= 0.3;
		}

      int tasknumb = taskListObject(*fx-20, *fy-20, *fx+30, *fy+10);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				if (*fmode < 1)
				{
					fTasklist[0][1] += 0.3;
				}
				else
				{
					fTasklist[0][1] -= 0.3;
				}
				// Make sure that Squeek on collision is on top of the platform, not in it
				while ((fTasklist[0][2]+19) > *fy)
				{
					fTasklist[0][2] -= 1;
				}
				//
				fTasklist[0][3] = 0;
				fTasklist[0][11] = 2;
			}
			else
			{
				fTasklist[0][11] = 0;
			}
		}
		else
		{
			fTasklist[0][11] = 0;
		}

		SDL_Rect myrect; myrect.x = (int)*fx; myrect.y = (int)*fy;
		SDL_BlitSurface(obj_platform, NULL, surMainScreen, &myrect);
	}


	void objDangerousBat(int iTaskNumber)
	{
		float* forigx = &fTasklist[iTaskNumber][1];
		float* forigy = &fTasklist[iTaskNumber][2];
		float* fframe = &fTasklist[iTaskNumber][3];
		float* fdirX = &fTasklist[iTaskNumber][4];
		float* fdirY = &fTasklist[iTaskNumber][5];
		float* finitialize = &fTasklist[iTaskNumber][6];
      float* fx = &fTasklist[iTaskNumber][7];
		float* fy = &fTasklist[iTaskNumber][8];

		if (*finitialize < 0.1)
		{
			// increment to something higher
			*finitialize = 0.1;
			*fx = *forigx;
			*fy = *forigy;
		}

		// Draw it
		SDL_Rect myRect; myRect.x = (int)*fx; myRect.y = (int)*fy;
		SDL_BlitSurface(obj_bat[(int)*fframe], NULL, surMainScreen, &myRect);

		*fframe += 0.2;
		if (*fframe > 7.7)
		{
			*fframe = 0;
		}
		// Move according to direction
		if ((int)*fdirX != 1)
		{
			*fx += 1;
		}
		else
		{
			*fx -= 1;
		}
		if ((int)*fdirY != 1)
		{
			*fy += 1;
		}
		else
		{
			*fy -= 1;
		}
		// Check collision with walls
		if (iCollisionLayer[((int)*fy)+23][((int)*fx)] != 0)
		{
			*fdirX = 0;
		}
		if (iCollisionLayer[((int)*fy)+23][(((int)*fx)+62)] != 0)
		{
			*fdirX = 1;
		}
      if (iCollisionLayer[((int)*fy)][(((int)*fx)+31)] != 0)
		{
			*fdirY = 0;
		}
		if (iCollisionLayer[(((int)*fy)+46)][(((int)*fx)+31)] != 0)
		{
			*fdirY = 1;
		}

		// Check water and eventually mud collision
		int tasknumber = taskListObject(*fx+5, *fy+5, *fx+35, *fy+45);
		int tasktype = (int)fTasklist[tasknumber][0];
		if (tasknumber != 0)
		{
			if (tasktype == 4 or tasktype == 5 or tasktype == 6)
			{
				*fdirY = 1;
			}
		}

		// Check outofscreen
		if (*fx < 1)
		{
			*fdirX = 0;
		}
		if (*fx > 590)
		{
			*fdirX = 1;
		}
		if (*fy < 1)
		{
			*fdirY = 0;
		}
		if (*fy > 353)
		{
			*fdirY = 1;
		}

		// Check for collision with Squeek
		int tasknumb = taskListObject(*fx-20, *fy-10, *fx+60, *fy+40);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Kill Squeek
				fTasklist[0][8] = 1;
				iLives--;
			}
		}

		// Check if we are killed by a fireball!
		tasknumber = taskListObject(*fx+5, *fy+5, *fx+35, *fy+35);
		tasktype = (int)fTasklist[tasknumber][0];
		if (tasknumber != 0)
		{
			if (tasktype >= 100 & tasktype <= 110)
			{
				*forigx = *forigx/40;
				*forigy = *forigy/40;
				iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
				taskListAddTo(201, *fx+14, *fy);
				taskListRemove(tasknumber);
				taskListRemove(iTaskNumber);
				iScore += 320;
			}
		}
	}

	void obj_Extralife(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fx = &fTasklist[iTasknumber][3]; // Will get the coordinates of above
		float* fy = &fTasklist[iTasknumber][4]; // Also
      float* ftimer = &fTasklist[iTasknumber][5];
		float* frand = &fTasklist[iTasknumber][6];

		if (*ftimer < 0.1)
		{
			*ftimer += 0.1;
			*fx = *forigx;
			*fy = *forigy;
			*frand = 0.1+((rand()%4)/3.29);
		}
		*ftimer += 0.1;
		*fy = *fy+sin(*ftimer)*(*frand);

		// Draw the extralife
		SDL_Rect myRect; myRect.x = (int)*fx; myRect.y = (int)*fy;
		SDL_BlitSurface(obj_extralife, NULL, surMainScreen, &myRect);


      // Check for collision with Squeek (only gain extralife if we have less lives than 9)
		int tasknumb = taskListObject(*fx-20, *fy-10, *fx+32, *fy+32);
		if (tasknumb != -1 & iLives < 9)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Give Squeek another life
				iLives++;
				iScore += 500;
				*forigy = *forigy/40; // Divide by 40 to get correct tile position
				*forigx = *forigx/40;
				iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
				taskListRemove(iTasknumber);
				playSample(10);
				// Should also play sound here....
			}
		}
	}

	// Flying hat
	void obj_FlyingHat(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fx = &fTasklist[iTasknumber][3]; // Will get the coordinates of above
		float* fy = &fTasklist[iTasknumber][4]; // Also
      float* ftimer = &fTasklist[iTasknumber][5];
		float* frand = &fTasklist[iTasknumber][6];

		if (*ftimer < 0.1)
		{
			*ftimer += 0.1;
			*fx = *forigx;
			*fy = *forigy;
			*frand = 0.1+((rand()%4)/3.29);
		}
		*ftimer += 0.1;
		*fy = *fy+sin(*ftimer)*(*frand);

		// Draw the extralife
		SDL_Rect myRect; myRect.x = (int)*fx; myRect.y = (int)*fy;
		SDL_BlitSurface(obj_flyinghat, NULL, surMainScreen, &myRect);


      // Check for collision with Squeek
		int tasknumb = taskListObject(*fx-20, *fy-10, *fx+32, *fy+32);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Give Squeek the flying hat!
				iScore += 1000;
				*forigy = *forigy/40; // Divide by 40 to get correct tile position
				*forigx = *forigx/40;
				iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
				taskListRemove(iTasknumber);
				addItem(2);
				// Should also play sound here....
			}
		}
	}

	// The lightning weapon
	void obj_Lightning(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fx = &fTasklist[iTasknumber][3]; // Will get the coordinates of above
		float* fy = &fTasklist[iTasknumber][4]; // Also
      float* ftimer = &fTasklist[iTasknumber][5];
		float* frand = &fTasklist[iTasknumber][6];

		if (*ftimer < 0.1)
		{
			*ftimer += 0.1;
			*fx = *forigx;
			*fy = *forigy;
			*frand = 0.1+((rand()%4)/3.29);
		}
		*ftimer += 0.1;
		*fx = *fx+sin(*ftimer)*(*frand);

		// Draw the extralife
		SDL_Rect myRect; myRect.x = (int)*fx; myRect.y = (int)*fy;
		SDL_BlitSurface(item_lightning, NULL, surMainScreen, &myRect);


      // Check for collision with Squeek
		int tasknumb = taskListObject(*fx-20, *fy-10, *fx+32, *fy+32);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Give Squeek the lightning bolt!
				iScore += 1000;
				*forigy = *forigy/40; // Divide by 40 to get correct tile position
				*forigx = *forigx/40;
				iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
				taskListRemove(iTasknumber);
				addItem(3);
				// Should also play sound here....
			}
		}
	}

	// The troll
	void obj_Troll(int iTasknumber)
	{
		float* forigx = &fTasklist[iTasknumber][1];
		float* forigy = &fTasklist[iTasknumber][2];
		float* fx = &fTasklist[iTasknumber][3]; // Will get the coordinates of above
		float* fy = &fTasklist[iTasknumber][4]; // Also
      float* ftimer = &fTasklist[iTasknumber][5];
		float* frand = &fTasklist[iTasknumber][6];
		float* fframe = &fTasklist[iTasknumber][7];
		float* fjump = &fTasklist[iTasknumber][8];
		float* fgravity = &fTasklist[iTasknumber][9];
		float* fframevariance = &fTasklist[iTasknumber][10];

		// Worth noticing!!! The troll hits are defined in loadlevel and added in standard variables (iTrollHits)

      // Draw the troll
		SDL_Rect myRect; myRect.x = (int)*fx; myRect.y = (int)*fy;
      SDL_BlitSurface (objectTroll[(int)*fframe], NULL, surMainScreen, &myRect);

		if (*ftimer < 0.1)
		{
			*ftimer += 0.1;

			*frand = 1+(rand()%20)/22;
			*fx = *forigx; *fy = *forigy;
			*fjump = 0;
			*fgravity = 0;
		}

		if (*ftimer > 200 & *fjump == 0)
		{
			playSample(11);
			*ftimer = 0;
			*frand = 1+(rand()%10)/12;
			*fgravity = -5-((rand()%10)/5);
			*fjump = 1;
			// Add a trollball
			taskListAddTo(150, *fx+24, *fy+40);
		}

		// If there is no ground under the troll, apply gravity
		if (iCollisionLayer[((int)*fy)+80+((int)*fgravity)][((int)*fx)+24] == 0)
		{
			if (*fgravity < 4)
			{
				*fgravity += 0.1;
			}
			*fy += *fgravity;
		}
		else
		{
			*fgravity = 0;
			*fjump = 0;
		}

  // If there is ground that has not been seen, move the troll upwards
		while (iCollisionLayer[((int)*fy)+80+((int)*fgravity)][((int)*fx)+24] != 0)
		{
			*fy -= 1;
			*fgravity = 0;
			*fjump = 0;
		}

		if (*fjump == 1)
		{
			*fframe = 2;
		}
		else
		{
			*fframevariance += *frand;
			if (*fframevariance > 50)
			{
				*fframe = 1;
			}
			else
			{
				*fframe = 0;
			}

			if (*fframevariance > 100)
			{
				*fframevariance = 0;
				taskListAddTo(150, *fx+24, *fy+50);
			}
		}

		*ftimer += *frand; // increase timer

	  // Check for collision with Squeek
		int tasknumb = taskListObject(*fx-30, *fy-20, *fx+48, *fy+82);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Remove a life
				fTasklist[0][8] = 1;
				iLives --;
				// Should also play sound here....
			}
		}

		// Check if we are killed by a fireball or lightning or another weapon!
		int tasknumber = taskListObject(*fx-10, *fy-10, *fx+58, *fy+95);
		int tasktype = (int)fTasklist[tasknumber][0];
		if (tasknumber != 0)
		{
			if (tasktype >= 100 & tasktype <= 110)
			{
				taskListRemove(tasknumber);
				if (iTrollHits > 9)
				{
					*forigx = *forigx/40;
					*forigy = *forigy/40;
					iAllObjects[iLevel][(iLevelMap[iLevel][iMapOffsetY][iMapOffsetX])][(int)*forigy][(int)*forigx] = 0; // rem the tile data for this object
					taskListAddTo(201, *fx+14, *fy+10);
					taskListAddTo(201, *fx+20, *fy+50);
					taskListAddTo(201, *fx+30, *fy+30);
					taskListRemove(iTasknumber);
					iScore += 500;
				}
				else
				{
					iTrollHits ++;
					taskListAddTo(201, *fx+14, *fy);
					iScore += 250;
				}
			}
		}
	}

	// Just a bit different from the fireball, but kills squeek
	void objTrollBall(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1]; // x coordinate
		float* fy = &fTasklist[fTasknumber][2]; // y coordinate
		float* fgravity = &fTasklist[fTasknumber][3]; // g force
		float* fdir = &fTasklist[fTasknumber][4]; // which direction
		float* ftimer = &fTasklist[fTasknumber][5]; // timer for this object
		float* fframe = &fTasklist[fTasknumber][6]; // the current frame

		// Check for HERO's direction (HEHEHEHE)
		if (*ftimer < 0.1)
		{
			playSample(0); // Fireball sound
			if (fTasklist[0][1] < *fx)
			{
				*fdir = 0;
			}
			else
			{
				*fdir = 1;
			}
			*fgravity = (-2)-(rand()%2);
		}

		// Draw the fireball
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(weaponFireball[(int)*fframe], NULL, surMainScreen, &rectDest);

		// Move the framenumber
		if (*fframe < 2.6)
		{
			*fframe += 0.4;
		}
		else
		{
			*fframe = 0;
		}

		// Move fireball according to direction
		if (*fdir == 1)
		{
			*fx += 2;
		}
		else
		{
			*fx -= 2;
		}

		// Gravity
		*fy += *fgravity;
		*fgravity += 0.1;
		if (iCollisionLayer[((int)*fy)+10+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			playSample(3);
			*fgravity = -1-(rand()%5);
		}

		// Collision
		if (iCollisionLayer[((int)*fy)+5+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}
		if (iCollisionLayer[((int)*fy)+5+((int)*fgravity)][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}

		// Timeout ball and destroy itself
      if (*ftimer > 50)
		{
			taskListRemove(fTasknumber);
		}
		// If we go out of the screen
		if (*fx > 637 or *fx < 3 or *fy > 390 or *fy < 3)
		{
			taskListRemove(fTasknumber);
		}

		// Add time
		*ftimer += 0.15;

		// Check for collision with Squeek
		int tasknumb = taskListObject(*fx-30, *fy-30, *fx+10, *fy+10);
		if (tasknumb != -1)
		{
			int tasktype = (int)fTasklist[tasknumb][0];
			if (tasktype == 1 & fTasklist[0][9] < 0.1)
			{
				// Remove a life
				fTasklist[0][8] = 1;
				iLives --;
				// Should also play sound here....
			}
		}
	}

	// Just a bit different from the fireball, but kills squeek
	void objLightningStroke(int fTasknumber)
	{
		float* fx = &fTasklist[fTasknumber][1]; // x coordinate
		float* fy = &fTasklist[fTasknumber][2]; // y coordinate
		float* fdir = &fTasklist[fTasknumber][4]; // which direction
		float* ftimer = &fTasklist[fTasknumber][5]; // timer for this object
		float* fframe = &fTasklist[fTasknumber][6]; // the current frame

		// Check for HERO's direction
		if (*ftimer < 0.1)
		{
			playSample(9); // Fireball sound
			*fdir = fTasklist[0][5]; // from the hero direction
		}

		// Draw the fireball
		rectDest.x = (int)*fx;
		rectDest.y = (int)*fy;
		SDL_BlitSurface(weaponLightning, NULL, surMainScreen, &rectDest);

		// Move the framenumber
		if (*fframe < 2.6)
		{
			*fframe += 0.4;
		}
		else
		{
			*fframe = 0;
		}

		// Move fireball according to direction
		if (*fdir == 1)
		{
			*fx += 4;
		}
		else
		{
			*fx -= 4;
		}

		// Collision
		if (iCollisionLayer[((int)*fy)+5][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}
		if (iCollisionLayer[((int)*fy)+5][((int)*fx)+5] != 0)
		{
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListAddTo(200, *fx, *fy);
			taskListRemove(fTasknumber);
		}

		// Timeout ball and destroy itself
      if (*ftimer > 50)
		{
			taskListRemove(fTasknumber);
		}
		// If we go out of the screen
		if (*fx > 637 or *fx < 3 or *fy > 390 or *fy < 3)
		{
			taskListRemove(fTasknumber);
		}

		// Add time
		*ftimer += 0.15;
	}

