
	// Load all graphics

	void loadGraphics()
	{
		if (iLevel == 0)
		{
      	// Setup some stuff
			iTrollHits = 0; // Make sure the troll has no hits

			/* The earth tiles: */
			tileEarth[0] = IMG_Load("graphics/tileEarth1.png");
			tileEarth[1] = IMG_Load("graphics/tileEarth2.png");
			tileEarth[2] = IMG_Load("graphics/tileEarth3.png");
			tileEarth[3] = IMG_Load("graphics/tileEarth4.png");
			tileEarth[4] = IMG_Load("graphics/tileEarth5.png");
			tileEarth[5] = IMG_Load("graphics/tileEarth6.png");
			tileEarth[6] = IMG_Load("graphics/tileEarth7.png");
			tileEarth[7] = IMG_Load("graphics/tileEarth8.png");
			tileEarth[8] = IMG_Load("graphics/tileEarth9.png");
			tileEarth[9] = IMG_Load("graphics/tileEarth10.png");
			tileEarth10 = IMG_Load("graphics/tileEarth10.png");

			/* The grass tiles: */
			tileGrass[0] = IMG_Load("graphics/tileGrass1.png");
			tileGrass[1] = IMG_Load("graphics/tileGrass2.png");
			tileGrass[2] = IMG_Load("graphics/tileGrass3.png");
			tileGrass[3] = IMG_Load("graphics/tileGrass4.png");
			tileGrass[4] = IMG_Load("graphics/tileGrass5.png");
			tileGrass[5] = IMG_Load("graphics/tileGrass6.png");


			// Sea tiles

			tileSea[0] = IMG_Load("graphics/tileSeaBottom1.png");
			tileSea[1] = IMG_Load("graphics/tileSeaBottom2.png");
			tileSea[2] = IMG_Load("graphics/tileSeaBottom3.png");


			// Stone tiles

			tile_stone[0] = IMG_Load("graphics/tile_stone.png");
			tile_stone[1] = IMG_Load("graphics/tile_stone_light.png");
			tile_stone[2] = IMG_Load("graphics/tile_stone_dark.png");
			tile_stone[3] = IMG_Load("graphics/tile_stone_window.png");

			// Special tiles

			specialTiles[0] = IMG_Load("graphics/house.png");
			specialTiles[1] = IMG_Load("graphics/statue.png");

			/* The hero: */
			hero[0] = IMG_Load("graphics/spriteHero1.png");
			hero[1] = IMG_Load("graphics/spriteHero2.png");
			hero[2] = IMG_Load("graphics/spriteHero3.png");
			hero[3] = IMG_Load("graphics/spriteHero4.png");
			hero[4] = IMG_Load("graphics/spriteHero5.png");
			hero[5] = IMG_Load("graphics/spriteHero6.png");
			hero[6] = IMG_Load("graphics/spriteHero7.png");
			hero[7] = IMG_Load("graphics/spriteHero8.png");
			hero[8] = IMG_Load("graphics/spriteHero9.png");
			hero[9] = IMG_Load("graphics/spriteHero10.png");


			// water

			obj_water[0] = IMG_Load("graphics/water01.png");
			obj_water[1] = IMG_Load("graphics/water02.png");
			obj_water[2] = IMG_Load("graphics/water03.png");
			obj_water[3] = IMG_Load("graphics/water04.png");

			obj_Lwater[0] = IMG_Load("graphics/waterL01.png");
			obj_Lwater[1] = IMG_Load("graphics/waterL02.png");
			obj_Lwater[2] = IMG_Load("graphics/waterL03.png");
			obj_Lwater[3] = IMG_Load("graphics/waterL04.png");

			obj_Rwater[0] = IMG_Load("graphics/waterR01.png");
			obj_Rwater[1] = IMG_Load("graphics/waterR02.png");
			obj_Rwater[2] = IMG_Load("graphics/waterR03.png");
			obj_Rwater[3] = IMG_Load("graphics/waterR04.png");

         // Dangerous bat

			obj_bat[0] = IMG_Load("graphics/bat01.png");
			obj_bat[1] = IMG_Load("graphics/bat02.png");
			obj_bat[2] = IMG_Load("graphics/bat03.png");
			obj_bat[3] = IMG_Load("graphics/bat04.png");
			obj_bat[4] = IMG_Load("graphics/bat05.png");
			obj_bat[5] = IMG_Load("graphics/bat06.png");
			obj_bat[6] = IMG_Load("graphics/bat07.png");
			obj_bat[7] = IMG_Load("graphics/bat08.png");


			// Foregrounds:

			foregrounds[0] = IMG_Load("graphics/fore_tree01.png");
			foregrounds[1] = IMG_Load("graphics/fore_tree02.png");
			foregrounds[2] = IMG_Load("graphics/fore_tree03.png");

			foregrounds[3] = IMG_Load("graphics/fore_stone01.png");

			foregrounds[4] = IMG_Load("graphics/water.png");
			foregrounds[5] = IMG_Load("graphics/waterL.png");
			foregrounds[6] = IMG_Load("graphics/waterR.png");
			foregrounds[7] = IMG_Load("graphics/waterBOT.png");
			foregrounds[8] = IMG_Load("graphics/waterLBOT.png");
			foregrounds[9] = IMG_Load("graphics/waterRBOT.png");

			/* Panels: */
			//panelScore = IMG_Load("graphics/panelScore.bmp");

			/* Objects: */
			objectBall = IMG_Load("graphics/objectBall1.png");

			objectGreeny[0] = IMG_Load("graphics/objectGreeny1.png");
			objectGreeny[1] = IMG_Load("graphics/objectGreeny2.png");
			objectGreeny[2] = IMG_Load("graphics/objectGreeny3.png");
			objectGreeny[3] = IMG_Load("graphics/objectGreeny4.png");

			weaponFireball[0] = IMG_Load("graphics/weaponFireball1.png");
			weaponFireball[1] = IMG_Load("graphics/weaponFireball2.png");
			weaponFireball[2] = IMG_Load("graphics/weaponFireball3.png");

      objectDrippingRock = IMG_Load("graphics/water_dripper.png");
			objectTearDrop = IMG_Load("graphics/water_drop.png");


         objectFairy[0] = IMG_Load("graphics/fairy_01.png");
			objectFairy[1] = IMG_Load("graphics/fairy_02.png");
			objectFairy[2] = IMG_Load("graphics/fairy_03.png");
			objectFairy[3] = IMG_Load("graphics/fairy_04.png");
			objectFairy[4] = IMG_Load("graphics/fairy_05.png");
			objectFairy[5] = IMG_Load("graphics/fairy_06.png");

         // Troll

			objectTroll[0] = IMG_Load("graphics/troll01.png");
			objectTroll[1] = IMG_Load("graphics/troll02.png");
			objectTroll[2] = IMG_Load("graphics/troll03.png");

			// Apple

			obj_apple = IMG_Load("graphics/apple.png");

			// Platform
			obj_platform = IMG_Load("graphics/platform_grass.png");

         // Extra life
			obj_extralife = IMG_Load("graphics/lifeup.png");

			// Flying Hat
			obj_flyinghat = IMG_Load("graphics/flying_hat.png");

			// lightning
			item_lightning = IMG_Load("graphics/lightning.png");
			item_lightningsmall = IMG_Load("graphics/lightning_small.png");
			weaponLightning = IMG_Load("graphics/weaponlightning.png");

         // other
			surBackBuffer = IMG_Load("graphics/backgroundBlack.bmp");
			panelScore = IMG_Load("graphics/panelScore.bmp");

			// items

			item_fireball = IMG_Load("graphics/fireball_big.png");
			item_flyinghat = IMG_Load("graphics/flying_hat_big.png");

			item_flyhat[0] = IMG_Load("graphics/fly_hat01.png");
			item_flyhat[1] = IMG_Load("graphics/fly_hat02.png");
			item_flyhat[2] = IMG_Load("graphics/fly_hat03.png");
			item_flyhat[3] = IMG_Load("graphics/fly_hat04.png");
			item_flyhat[4] = IMG_Load("graphics/fly_hat05.png");
			item_flyhat[5] = IMG_Load("graphics/fly_hat06.png");

			currentitem = IMG_Load("graphics/currentitem.png");

			// Particles:

			objectParticleSmoke[0] = IMG_Load("graphics/particleSmoke.png");
			objectParticleSmoke2[0] = IMG_Load("graphics/obj_smoke.png");
			objectParticleSmoke2[1] = IMG_Load("graphics/obj_smoke2.png");
			objectParticleSmoke2[2] = IMG_Load("graphics/obj_smoke3.png");

			objectParticleExplosion[0] = IMG_Load("graphics/particleExplosion1.png");
			objectParticleExplosion[1] = IMG_Load("graphics/particleExplosion2.png");
			objectParticleExplosion[2] = IMG_Load("graphics/particleExplosion3.png");
			objectParticleExplosion[3] = IMG_Load("graphics/particleExplosion4.png");
			objectParticleExplosion[4] = IMG_Load("graphics/particleExplosion5.png");

			// ABC:

			abcNum[0] = IMG_Load("graphics/abc_0.png");
			abcNum[1] = IMG_Load("graphics/abc_1.png");
			abcNum[2] = IMG_Load("graphics/abc_2.png");
			abcNum[3] = IMG_Load("graphics/abc_3.png");
			abcNum[4] = IMG_Load("graphics/abc_4.png");
			abcNum[5] = IMG_Load("graphics/abc_5.png");
			abcNum[6] = IMG_Load("graphics/abc_6.png");
			abcNum[7] = IMG_Load("graphics/abc_7.png");
			abcNum[8] = IMG_Load("graphics/abc_8.png");
			abcNum[9] = IMG_Load("graphics/abc_9.png");

			abcLetters[0] = IMG_Load("graphics/abc_a.png");
         abcLetters[1] = IMG_Load("graphics/abc_b.png");
			abcLetters[2] = IMG_Load("graphics/abc_c.png");
			abcLetters[3] = IMG_Load("graphics/abc_d.png");
			abcLetters[4] = IMG_Load("graphics/abc_e.png");
			abcLetters[5] = IMG_Load("graphics/abc_f.png");
			abcLetters[6] = IMG_Load("graphics/abc_g.png");
			abcLetters[7] = IMG_Load("graphics/abc_h.png");
			abcLetters[8] = IMG_Load("graphics/abc_i.png");
			abcLetters[9] = IMG_Load("graphics/abc_j.png");
			abcLetters[10] = IMG_Load("graphics/abc_k.png");
			abcLetters[11] = IMG_Load("graphics/abc_l.png");
			abcLetters[12] = IMG_Load("graphics/abc_m.png");
			abcLetters[13] = IMG_Load("graphics/abc_n.png");
			abcLetters[14] = IMG_Load("graphics/abc_o.png");
			abcLetters[15] = IMG_Load("graphics/abc_p.png");
			abcLetters[16] = IMG_Load("graphics/abc_q.png");
			abcLetters[17] = IMG_Load("graphics/abc_r.png");
			abcLetters[18] = IMG_Load("graphics/abc_s.png");
			abcLetters[19] = IMG_Load("graphics/abc_t.png");
			abcLetters[20] = IMG_Load("graphics/abc_u.png");
			abcLetters[21] = IMG_Load("graphics/abc_v.png");
			abcLetters[22] = IMG_Load("graphics/abc_w.png");
			abcLetters[23] = IMG_Load("graphics/abc_x.png");
			abcLetters[24] = IMG_Load("graphics/abc_y.png");
			abcLetters[25] = IMG_Load("graphics/abc_z.png");
			abcLetters[26] = IMG_Load("graphics/abc_dot.png");
			abcLetters[27] = IMG_Load("graphics/abc_expressionmark.png");
			abcLetters[28] = IMG_Load("graphics/abc_question.png");
			abcLetters[29] = IMG_Load("graphics/abc_comma.png");

			//
		}
	}

	void freeAllSurfaces()
	{
		int a;
		// Number graphics
		for (a = 0; a < 10; a++){ SDL_FreeSurface(abcNum[a]); }
		// Letter graphics
		for (a = 0; a < 30; a++){ SDL_FreeSurface(abcLetters[a]); }
		// Particle Explosion
		for (a = 0; a < 5; a++){ SDL_FreeSurface(objectParticleExplosion[a]); }
		// Particle Smoke
		for (a = 0; a < 3; a++){ SDL_FreeSurface(objectParticleSmoke2[a]); }
		SDL_FreeSurface(objectParticleSmoke[0]); // The emitter of particle smoke
		// Fireball
		SDL_FreeSurface(item_fireball);
		// Flyinghat
		SDL_FreeSurface(item_flyinghat);
		SDL_FreeSurface(obj_flyinghat);
		for (a = 0; a < 3; a++){ SDL_FreeSurface(weaponFireball[a]); }
		// Backbuffer, panel score etc
		SDL_FreeSurface(panelScore);
		SDL_FreeSurface(surBackBuffer);
		// Extra Life
		SDL_FreeSurface(obj_extralife);
      // Platform
		SDL_FreeSurface(obj_platform);
		// Apple
		SDL_FreeSurface(obj_apple);
		// Fairy
		for (a = 0; a < 6; a++){ SDL_FreeSurface(objectFairy[a]); }
		// Teardrop and emitter
		SDL_FreeSurface(objectTearDrop);
		SDL_FreeSurface(objectDrippingRock);
		// Greeny
		for (a = 0; a < 4; a++){ SDL_FreeSurface(objectGreeny[a]); }
		//  Ball... not used really, not yet
		SDL_FreeSurface(objectBall);
      // Foregrounds
		for (a = 0; a < 10; a++){ SDL_FreeSurface(foregrounds[a]); }
		// Bat
		for (a = 0; a < 8; a++){ SDL_FreeSurface(obj_bat[a]); }
		// Waters
		for (a = 0; a < 4; a++)
		{
			SDL_FreeSurface(obj_water[a]);
			SDL_FreeSurface(obj_Lwater[a]);
			SDL_FreeSurface(obj_Rwater[a]);
		}
      // Hero
		for (a = 0; a < 10; a++){ SDL_FreeSurface(hero[a]); }
      // Special Tiles
		for (a = 0; a < 2; a++){ SDL_FreeSurface(specialTiles[a]); }
		// Sea
		for (a = 0; a < 3; a++){ SDL_FreeSurface(tileSea[a]); }
		// Grass tiles
		for (a = 0; a < 6; a++){ SDL_FreeSurface(tileGrass[a]); }
		// Grass earth
		for (a = 0; a < 10; a++){ SDL_FreeSurface(tileEarth[a]); }

		for (a = 0; a < 6; a++){ SDL_FreeSurface(item_flyhat[a]); }

		for (a = 0; a < 4; a++){ SDL_FreeSurface(tile_stone[a]); }

		for (a = 0; a < 3; a++){ SDL_FreeSurface(objectTroll[a]); }


		SDL_FreeSurface(currentitem);
		SDL_FreeSurface(item_lightning);
		SDL_FreeSurface(item_lightningsmall);
		SDL_FreeSurface(weaponLightning);

      // DONE! UPDATE THESE WHEN ADDINGMORE GRAPHICS!
	}

